Bug 48485 - usability: enable Xon/Xoff flowcontrol for konsole by default
Summary: usability: enable Xon/Xoff flowcontrol for konsole by default
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-09-30 10:22 UTC by matze
Modified: 2008-12-22 01:37 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description matze 2002-09-30 10:22:31 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources
Compiler:          gcc 2.95.3 
OS:          Linux

rationale: defaulting Xon/Xoff flow control to "off" breaks expectation of most users. Why is this behaviour configurable anyway? Admittedly, there was one bug report about "konsole freezes when I enter Ctrl-S and I have to kill it", but disabling Xon/Xoff will provoke lots of bug reports, too. I guess people will not even expect this to be configurable.
Comment 1 Stephan Binner 2002-09-30 20:48:00 UTC
Most users don't expect their shell to freeze when they press Ctrl-S (there 
was more than only one bug report about this). I liked the [one-time] pop-up 
information more than current situation too. 
Comment 2 Riku Voipio 2003-10-27 22:25:56 UTC
adding from debian BTS #131562 here, since it touches the same subject:

If one has selected the "Mac Default" keybinding for KDE applications,
there is no apparent way to transmit an XON (Ctrl-Q) character through a
konsole terminal.  Nonetheless, one can transmit XOFF (Ctrl-S), thus
suspending output from the terminal program with no way to restore it.
As far as I can tell, this forces one to abandon whatever one is doing
in the terminal.

One fix would be to add XON/XOFF to the "Session->Send Signal" submenu.

This might be considered a bug with the keybinding, since it steals
standard terminal control characters for application control.  Arguably
it would be more Mac-like to use Alt rather than Ctrl for application
commands anyway:  the Mac itself does not use Ctrl for this purpose,
reserving Ctrl for terminal control.  Please feel free to reassign this
bug to kdebase (or wherever) if you consider this a stronger case.



Comment 3 Kurt Hindenburg 2004-08-22 09:22:24 UTC
Hasn't this been fixed?  In Configure->General->Use CTRL+S/+Q flow control; it seems to work fine here.
Comment 4 John Tapsell 2006-03-06 05:27:21 UTC
It's configurable, and most user friendly option is to keep off.  A year and a bit later with no comments, so resolving.
Comment 5 David 2006-06-29 17:24:10 UTC
For clarity, this option is in the Settings->"Configure Konsole..." general tab in the Misc section.
Comment 6 Kurt Hindenburg 2006-07-21 20:33:44 UTC
All the terminal programs I tested have this Ctrl +s/+q on by default.  Perhaps, Konsole should also.
Tested: mrxvt, gnome-terminal, xterm, rxvt, urxvt, MacOSX terminal and iTerm
Comment 7 Robert Knight 2006-08-03 00:34:04 UTC
Having the terminal suddenly freeze with no indication of what is happening when Ctrl+S is pressed would definitely surprise me - because I until I read this report, I had no idea what flow control is.

Can someone explain why flow control might be useful in a modern environment?

One option might be to enable flow control by default, but display a warning status-message at the top of the terminal widget which includes the keypress needed to deactivate it.

eg.  A FireFox-style yellow warning bar containing the text: "Terminal output was suspended by pressing Ctrl+S.  Press Ctrl+Q to resume output."

Since Ctrl+S / Ctrl+Q is reserved for this in most terminals, it would probably be safe to remove it as an option in Konqueror if it was decided to disable it by default.
Comment 8 Kurt Hindenburg 2006-08-03 19:30:57 UTC
Yes, it is quite common.  As I mention in #6, all the terms I tried have this enabled by default.  Linux Virtual console have it also and I'm fairly sure the *BSDs also.

In Powerterm for MS, there is a button "STOP/RESUME" which does the same thing.  I agree some sort of visual notification should be required in Konsole.
Comment 9 Robert Knight 2006-09-04 13:36:09 UTC
I have added the aforementioned warning bar when flow control is enabled which tells users what has happened when they press Ctrl+S and what to press to disable flow control.  It should be safe now to enable Xon/Xoff by default. 
Comment 10 Robert Knight 2007-05-08 00:35:50 UTC
Implemented in KDE 4.
Comment 11 Shaw Vrana 2008-10-29 21:14:24 UTC
I see the warning for xon/xoff added when I press ctrl-s/q and I also see the option to enable/disable flow control with ctrl-s/q in the edit-profile->advanced tab.  However, this option is selected and grayed out.  As a result, I've lost my ctrl-s mapping that I use in mutt which is slowly driving me mad.  Is there a way to turn off flow control or change the mapping?  I looked around in all the usual places but didn't find anything.
Comment 12 Kenyon Ralph 2008-12-22 01:37:49 UTC
(In reply to comment #11)
> I see the warning for xon/xoff added when I press ctrl-s/q and I also see the
> option to enable/disable flow control with ctrl-s/q in the
> edit-profile->advanced tab.  However, this option is selected and grayed out. 
> As a result, I've lost my ctrl-s mapping that I use in mutt which is slowly
> driving me mad.  Is there a way to turn off flow control or change the mapping?
>  I looked around in all the usual places but didn't find anything.

See Bug 165457.